# Get adjustment

Retrieve a specific adjustment associated with a Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## GET

/accounts/{accountID}/adjustments/{adjustmentID}

### Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/adjustments/{adjustmentID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.adjustments.get({
    accountID: "3ef4e658-8aaa-449f-a7a4-95a6839172a1",
    adjustmentID: "cbe4a8e7-605f-4667-a308-1afde85cd7a5",
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->adjustments->get(
    accountID: '3ef4e658-8aaa-449f-a7a4-95a6839172a1',
    adjustmentID: 'cbe4a8e7-605f-4667-a308-1afde85cd7a5'
);

if ($response->adjustment !== null) {
    // handle response
}
```

### Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetAdjustmentResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetAdjustmentResponse res = sdk.adjustments().get()
                .accountID("3ef4e658-8aaa-449f-a7a4-95a6839172a1")
                .adjustmentID("cbe4a8e7-605f-4667-a308-1afde85cd7a5")
                .call();

if (res.adjustment().isPresent()) {
            System.out.println(res.adjustment().get());
        }
    }
}
```

### Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.adjustments.get(account_id="3ef4e658-8aaa-449f-a7a4-95a6839172a1", adjustment_id="cbe4a8e7-605f-4667-a308-1afde85cd7a5")

# Handle response
    print(res)
```

### Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.adjustments.get(account_id: '3ef4e658-8aaa-449f-a7a4-95a6839172a1', adjustment_id: 'cbe4a8e7-605f-4667-a308-1afde85cd7a5')

unless res.adjustment.nil?
  # handle response
end
```

### Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Adjustments.GetAsync(
    accountID: "3ef4e658-8aaa-449f-a7a4-95a6839172a1",
    adjustmentID: "cbe4a8e7-605f-4667-a308-1afde85cd7a5"
);

// handle response
```

### Example

An adjustment to a wallet.

```json
{
  "adjustmentID": "string",
  "walletID": "string",
  "amount": {
    "currency": "USD",
    "valueDecimal": "12.987654321"
  },
  "createdOn": "2019-08-24T14:15:22Z"
}
```

### Response headers

A unique identifier used to trace requests.

### The request contained missing or expired authentication.

### The user is not authorized to make the request.

### The requested resource was not found.

### Request was refused due to rate limiting.

### The request failed due to an unexpected error.

### The request failed because a downstream service failed to respond.

### Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible values:

`v2026.07.00`

### A 3-letter ISO 4217 currency code.

### A decimal-formatted numerical string that represents up to 9 decimal place precision.
